ScenariServer4.2 et imagemagick 6.9 (debian 9 "stretch")


#1

Bonjour,

je rencontre un problème avec la conversion via ImageMagick depuis un serveur Scenari 4.2
l’installation est basée sur une debian stretch, le paquet imageMagick est dans la version 6.9.7-4

dans les traces de l’erreur je trouve la ligne suivante :
ImageMagick process failed : 0 convert-im6.q16: profile 'icc': 'RGB ': RGB color space not permitted on grayscale PNG /var/lib/scenariserver4.2/tmp/working/cache/8NPUFTD1KPP0AUDRI6G79JJEFG/8NPUFT/D1KPP0/AUDRI6/G79JK4/LA/cach2549231913931446912' @ warning/png.c/MagickPNGWarningHandler/1654.

j’ai trouvé un rapport de bug qui parait correspondre, l’erreur se produirait avec les versions récentes d’ImageMagick :

il s’agirait d’ajouter l’option “-strip” dans la ligne de commande de “convert”
cependant je ne sais pas comment cela pourrait être fait via la configuration de scenari, ni celle d’ImageMagick sur le serveur

Avec vous déjà rencontré ce problème, sinon, quelle version d’ImageMagick utilisez vous pour que cela fonctionne ?

Merci
Arnaud


#2

Bonne analyse !
Ceci est corrigé (ajout du -strip) dans la prochaine version de SCENARI 4.2 qui va sortir très rapidement.


#3

Par contre, juste pour comprendre votre contexte précis, Vous utilisez quelle modèle documentaire ? L-image en question est intégré comment (dans quelle type de contenu) ?


#4

ha très bien, le problème est donc connu :slight_smile:
en attendant je vais tender d’utiliser une version antérieure d’IM6, peut-être le 6.8 qui date de 2014 ne présente pas le bug ?

le contexte de l’erreur est la génération d’un site de référence (.pub) Dokiel
l’image est intégrée dans un item de type “ecran” (.unit)


#5

je confirme qu’avec la version 6.8.9.9 d’imageMagick ca fonctionne
je remettrai la v6.9 après la MAJ de scenariServer

Merci à vous
Arnaud


#6

Parfait, c’est bien exactement dans le cas d’un item de type “écran” que cela pose pb, quand l’image est en fait en couleur, mais une des zones est elle, en niveau de gris.


#7

Le problème est bien corrigé en 4.2.107, j’ai remis ImageMagick 6.9.7.4 et tout va bien :slight_smile:

Merci !
Arnaud